Async Jobs
Create async response
Submits a response request for asynchronous execution. Returns a job ID immediately with HTTP 202. Poll the corresponding GET endpoint with the job ID to retrieve the result. Streaming is not supported for async requests.
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Header Parameters
x-bf-async-job-result-ttl?integer
Time-to-live in seconds for the job result after completion. Defaults to 3600 (1 hour). After expiry, the job result is automatically cleaned up.
Default
3600modelstring
Model in provider/model format
inputstring | array<object>
Input - can be a string or array of messages
fallbacks?array<string>
stream?boolean
background?boolean
conversation?string
include?array<string>
instructions?string
max_output_tokens?integer
max_tool_calls?integer
metadata?object
Empty Object
parallel_tool_calls?boolean
previous_response_id?string
prompt_cache_key?string
reasoning?object
safety_identifier?string
service_tier?string
stream_options?object
store?boolean
temperature?number
text?object
top_logprobs?integer
top_p?number
tool_choice?string | object
tools?array<object>
truncation?string
Response Body
curl -X POST "https://loading/{AI_GATEWAY_URL}/v1/async/responses" \ -H "x-bf-async-job-result-ttl: 3600" \ -H "Content-Type: application/json" \ -d '{ "model": "string", "input": "string" }'{
"id": "string",
"status": "pending",
"expires_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"status_code": 0,
"result": null,
"error": {
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}